[DebianGIS-dev] Bug#322887: marked as done (php4-mapscript dependencies are wrong)

Debian Bug Tracking System owner at bugs.debian.org
Sun Sep 11 10:03:43 UTC 2005

Your message dated Sun, 11 Sep 2005 02:47:08 -0700
with message-id <E1EEOQW-0008AF-00 at spohr.debian.org>
and subject line Bug#322887: fixed in mapserver 4.6.1-1
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

Received: (at submit) by bugs.debian.org; 13 Aug 2005 10:13:45 +0000
>From math.parent at gmail.com Sat Aug 13 03:13:45 2005
Return-path: <math.parent at gmail.com>
Received: from postfix3-1.free.fr [] 
	by spohr.debian.org with esmtp (Exim 3.36 1 (Debian))
	id 1E3t1N-0006R0-00; Sat, 13 Aug 2005 03:13:45 -0700
Received: from localhost.localdomain (did75-9-82-229-148-145.fbx.proxad.net [])
	by postfix3-1.free.fr (Postfix) with ESMTP id 7E5A417348C;
	Sat, 13 Aug 2005 12:13:43 +0200 (CEST)
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
From: Mathieu Parent <math.parent at gmail.com>
To: Debian Bug Tracking System <submit at bugs.debian.org>
Subject: php4-mapscript dependencies are wrong
X-Mailer: reportbug 3.8
Date: Sat, 13 Aug 2005 14:13:05 +0200
Message-Id: <20050813101343.7E5A417348C at postfix3-1.free.fr>
Delivered-To: submit at bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-8.0 required=4.0 tests=BAYES_00,HAS_PACKAGE 
	autolearn=no version=2.60-bugs.debian.org_2005_01_02

Package: php4-mapscript
Version: 4.6.0-1
Severity: normal
Tags: experimental

php4-mapscript should depend on packet phpapi-20020918 (virtual) because the
compiled version works with:
* libapache-mod-php4, or
* libapache2-mod-php4, or
* php4-cli, or
* php4-cgi

-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.6.8-2-686
Locale: LANG=fr_FR at euro, LC_CTYPE=fr_FR at euro (charmap=ISO-8859-15)

Versions of packages php4-mapscript depends on:
ii  debconf               Debian configuration management sy
ii  libapache-mod-php4     4:4.3.10-15       server-side, HTML-embedded scripti
ii  libc6                  2.3.2.ds1-22      GNU C Library: Shared libraries an
ii  libcurl3               7.13.2-2          Multi-protocol file transfer libra
ii  libfreetype6           2.1.7-2.4         FreeType 2 font engine, shared lib
ii  libgcc1                1:3.4.3-13        GCC support library
ii  libgd2-xpm             2.0.33-1.1        GD Graphics Library version 2
ii  libgdal1               1.2.6-1           Geospatial Data Abstraction Librar
ii  libidn11               0.5.13-1.0        GNU libidn library, implementation
ii  libjpeg62              6b-10             The Independent JPEG Group's JPEG 
ii  libpng12-0             1.2.8rel-1        PNG library - runtime
ii  libpq3                 7.4.7-6sarge1     PostgreSQL C client library
ii  libssl0.9.7            0.9.7e-3          SSL shared libraries
ii  libstdc++5             1:3.3.5-13        The GNU Standard C++ Library v3
ii  proj                   4.4.9-1           Cartographic projection filter and
ii  zlib1g                 1:1.2.2-4.sarge.2 compression library - runtime

-- debconf information:
  php4/add_extension: true
  php4/extension_mapscript_apache: true
  php4/remove_extension: true

Received: (at 322887-close) by bugs.debian.org; 11 Sep 2005 09:48:25 +0000
>From katie at spohr.debian.org Sun Sep 11 02:48:25 2005
Return-path: <katie at spohr.debian.org>
Received: from katie by spohr.debian.org with local (Exim 3.36 1 (Debian))
	id 1EEOQW-0008AF-00; Sun, 11 Sep 2005 02:47:08 -0700
From: Petter Reinholdtsen <pere at debian.org>
To: 322887-close at bugs.debian.org
X-Katie: $Revision: 1.56 $
Subject: Bug#322887: fixed in mapserver 4.6.1-1
Message-Id: <E1EEOQW-0008AF-00 at spohr.debian.org>
Sender: Archive Administrator <katie at spohr.debian.org>
Date: Sun, 11 Sep 2005 02:47:08 -0700
Delivered-To: 322887-close at bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-4.0 required=4.0 tests=BAYES_00,HAS_BUG_NUMBER,WIFE 
	autolearn=no version=2.60-bugs.debian.org_2005_01_02
X-CrossAssassin-Score: 5

Source: mapserver
Source-Version: 4.6.1-1

We believe that the bug you reported is fixed in the latest version of
mapserver, which is due to be installed in the Debian FTP archive:

  to pool/main/m/mapserver/cgi-mapserver_4.6.1-1_i386.deb
  to pool/main/m/mapserver/mapserver-bin_4.6.1-1_i386.deb
  to pool/main/m/mapserver/mapserver-doc_4.6.1-1_i386.deb
  to pool/main/m/mapserver/mapserver_4.6.1-1.diff.gz
  to pool/main/m/mapserver/mapserver_4.6.1-1.dsc
  to pool/main/m/mapserver/mapserver_4.6.1.orig.tar.gz
  to pool/main/m/mapserver/perl-mapscript_4.6.1-1_i386.deb
  to pool/main/m/mapserver/php4-mapscript_4.6.1-1_i386.deb
  to pool/main/m/mapserver/python-mapscript_4.6.1-1_i386.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 322887 at bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Petter Reinholdtsen <pere at debian.org> (supplier of updated mapserver package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster at debian.org)

Hash: SHA1

Format: 1.7
Date: Sun, 11 Sep 2005 11:16:44 +0200
Source: mapserver
Binary: mapserver-doc perl-mapscript mapserver-bin cgi-mapserver python-mapscript php4-mapscript
Architecture: source i386
Version: 4.6.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian GIS Project <pkg-grass-devel at lists.alioth.debian.org>
Changed-By: Petter Reinholdtsen <pere at debian.org>
 cgi-mapserver - cgi module of mapserver
 mapserver-bin - mapserver binary utilities
 mapserver-doc - documentation for mapserver
 perl-mapscript - perl mapserver library
 php4-mapscript - module for php4-cgi to use mapserver
 python-mapscript - python mapserver lib
Closes: 303159 306194 312750 318277 322887 325593
 mapserver (4.6.1-1) unstable; urgency=low
   * New upstream release.
   * Dependencies are now installable in sid.  (Closes: #325593)
   * Use '${misc:Depends}' instead of 'debconf' as dependency to allow
     cdebconf to be used.
   * Change depend for php4-mapscript from 'libapache-mod-php4' to
     'libapache-mod-php4 | phpapi-20020918', as it work with several
     php packages. (Closes: #322887)
   * Reindend all copyright files to make them easier to read.  Use
     last email address of Thomas Sondag in them.  Remove
     perl-mapscript.copyright as it is identical to changelog.  Keep
     php4-mapscript.copyright as it is slightly different.
   * Remove emacs headers from the botton of the changelog and fix invalid
     date string, to keep dpkg-genchanges happy.
   * Avoid bashism in debian/php4-mapscript.prerm.
 mapserver (4.6.0-1) experimental; urgency=low
   * New upstream release.
   * Uploading to experimental to get the new php4-mapscript package
     past NEW while we wait for the c++ transition.
   * Petter Reinholdtsen
     - Update the section of the packages to match the debian archive
       override file.
     - Change the priority of all packages from optional to extra, as
       this package depend on proj and gdal which is priority extra.
     - rm 35_init_vars, not needed any more.
     - Updated to standard version
   * Tilman Koschnick
     - Reactivate php support. (Closes: #306194)
     - debian/patches/:
       - update 10_python_build.dpatch
       - update 20_php_build.dpatch
       - rm 30_typo_gdal.dpatch (included upstream)
       - update 35_init_vars.dpatch
       - rm 40_array_init.dpatch (included upstream)
       - update 50_clean.dpatch
   * Debconf translations
     - Added French (fr) from Steve Petruzzello. (Closes: #303159)
     - Added Vietnamese (vi) from Clytie Siddall. (Closes: #312750)
     - Added Czech (cs) from Miroslav Kure. (Closes: #318277)
 bbf9e1761cbb2065f0947ca35f9f16db 1023 devel extra mapserver_4.6.1-1.dsc
 4efff8a20a44bab41b8d14451f21d6ee 1487508 devel extra mapserver_4.6.1.orig.tar.gz
 1e5b8e02af4974cbb9fd41c619dd99b0 10641 devel extra mapserver_4.6.1-1.diff.gz
 dc3a140622e5b51cf9eb349cf993fe2c 441248 web extra php4-mapscript_4.6.1-1_i386.deb
 308ffd6ef42c7d97b86da95f570567e9 631624 perl extra perl-mapscript_4.6.1-1_i386.deb
 dc29a6db478bc49d534b6cf0ca6fd4fc 357034 web extra cgi-mapserver_4.6.1-1_i386.deb
 b69fcec6bf19470d25d7b84636c3a1fb 467812 python extra python-mapscript_4.6.1-1_i386.deb
 d4a72f24b80b0acd4fe85d155d035c7f 2407816 misc extra mapserver-bin_4.6.1-1_i386.deb
 5a11353bb9d8ac4d5af27b7e7a17208b 23738 doc extra mapserver-doc_4.6.1-1_i386.deb

Version: GnuPG v1.4.1 (GNU/Linux)


More information about the Pkg-grass-devel mailing list